commit 27eae8ce786bec4b53d5d12fe0bbf30ae565f114
Author: Julia Niermann <jniermann@techfak.uni-bielefeld.de>
Date:   Fri Aug 9 11:23:31 2019 +0200

    Add dummy structure for nfc

diff --git a/drivers/PN532/v1/alld_PN532.c b/drivers/PN532/v1/alld_PN532.c
new file mode 100644
index 0000000..0ebba5e
--- /dev/null
+++ b/drivers/PN532/v1/alld_PN532.c
@@ -0,0 +1,57 @@
+/*
+AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU Lesser General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+/**
+ * @file    alld_PN532.c
+ *
+ * @brief   ??
+ *
+ * @addtogroup ??
+ * @{
+ */
+
+#include <alld_PN532.h>
+
+/******************************************************************************/
+/* LOCAL DEFINITIONS                                                          */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED VARIABLES                                                         */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL TYPES                                                                */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL VARIABLES                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL FUNCTIONS                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED FUNCTIONS                                                         */
+/******************************************************************************/
+//TODO functions
+
+/** @} */
+
+
diff --git a/drivers/PN532/v1/alld_PN532.h b/drivers/PN532/v1/alld_PN532.h
new file mode 100644
index 0000000..ee9c93c
--- /dev/null
+++ b/drivers/PN532/v1/alld_PN532.h
@@ -0,0 +1,95 @@
+/*
+AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU Lesser General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU Lesser General Public License for more details.
+
+You should have received a copy of the GNU Lesser General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+/**
+ * @file    alld_PN532.h
+ * @brief   NFC
+ *
+ * @addtogroup 
+ * @{
+ */
+
+#ifndef AMIROLLD_PN532_H
+#define AMIROLLD_PN532_H
+
+#include <amiro-lld.h>
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/**
+ * @brief Maximum I2C frequency.
+ */
+//#define P9221R_LLD_I2C_MAXFREQUENCY   400000
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/**
+ * @brief I2C address masks.
+ */
+enum {
+
+};
+
+/**
+ * @brief Registers.
+ */
+typedef enum {
+
+}PN532_lld_register_t;
+
+
+typedef struct {
+} PN532Driver;
+
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+  //apalExitStatus_t p9221r_lld_read_register(const P9221RDriver* const p9221r, const p9221r_lld_register_t addr, uint8_t* const data, const uint8_t num, const apalTime_t timeout);
+#ifdef __cplusplus
+}
+#endif
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* AMIROLLD_PN532_H */
+
+/** @} */
+