commit dd31cb03116dbce167f8826c09c1a84c1b7a1623
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon Mar 2 17:27:59 2020 +0100

    Documentation restructured and overhauled.

diff --git a/doc/classdiagrams/pubsub.uml b/doc/classdiagrams/pubsub.uml
index ee75846..9ad88b3 100644
--- a/doc/classdiagrams/pubsub.uml
+++ b/doc/classdiagrams/pubsub.uml
@@ -25,7 +25,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 title **µRtWare**\nPublish-Subscribe System
 
-!include ../functions.iuml
+!include ./functions.iuml
 
 /'### ENTITIES ###############################################################'/
 
@@ -46,7 +46,7 @@ $structure("urt_message_t") {
   + {field} numConsumersLeft : unsigned int
   __
     'Initializes a urt_message_t object.
-  + {method} urtMessageInit (message : urt_message_t*, payload : void*) : urt_status_t
+  + {method} urtMessageInit (message : urt_message_t*, payload : void*) : void
 }
 
 $group("subscriber") {
@@ -82,7 +82,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_nrtsubscriber_t object.
-    + {method} urtNrtSubscriberInit (subscriber : urt_nrtsubscriber_t*) : urt_status_t
+    + {method} urtNrtSubscriberInit (subscriber : urt_nrtsubscriber_t*) : void
       'Tries to subscribe to a topic and optionally contributes a list of messages to the topic.
     + {method} urtNrtSubscriberSubscribe (subscriber : urt_nrtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -106,7 +106,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_srtsubscriber_t object.
-    + {method} urtSrtSubscriberInit (subscriber : urt_srtsubscriber_t*) : urt_status_t
+    + {method} urtSrtSubscriberInit (subscriber : urt_srtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtSrtSubscriberSubscribe (subscriber : urt_srtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, usefulnesscb : urt_srtusefulnessfunc_t*, cbparams : void*) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -134,7 +134,7 @@ $group("subscriber") {
     + {field} maxLatency : urt_delay_t
     __
       'Initializes a urt_frtsubscriber_t object.
-    + {method} urtFrtSubscriberInit (subscriber : urt_frtsubscriber_t*) : urt_status_t
+    + {method} urtFrtSubscriberInit (subscriber : urt_frtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtFrtSubscriberSubscribe (subscriber : urt_frtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, deadline : urt_delay_t, jitter : urt_delay_t) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -169,7 +169,7 @@ $group("subscriber") {
     + {field} expectedRate : urt_delay_t
     __
       'Initializes a urt_hrtsubscriber_t object.
-    + {method} urtHrtSubscriberInit (subscriber : urt_hrtsubscriber_t*) : urt_status_t
+    + {method} urtHrtSubscriberInit (subscriber : urt_hrtsubscriber_t*) : void
       'Tries to subscribe to a topic, sets all parameters and optionally contributes a list of messages to the topic.
     + {method} urtHrtSubscriberSubscribe (subscriber : urt_hrtsubscriber_t*, topic : urt_topic_t*, messages : urt_message_t*, deadline : urt_delay_t, rate : urt_delay_t, jitter : urt_delay_t) : urt_status_t
       'Fetches the next message in the buffer, optionally copies the payload and optionally returns the latency.
@@ -192,9 +192,9 @@ $structure("urt_publisher_t") {
   + {field} publishFails : uint64_t
   __
     'Initializes a urt_publisher_t object and contributes an optional list of messages.
-  + {method} urtPublisherInit (publisher : urt_publisher_t*, topic : urt_topic_t*, messages : urt_message_t*) : urt_status_t
+  + {method} urtPublisherInit (publisher : urt_publisher_t*, topic : urt_topic_t*, messages : urt_message_t*) : void
     'Publishes a message via the associated topic.
-  + {method} urtPublisherPublish (publisher : urt_publisher_t*, payload : void*, n : size_t, t : urt_osTime_t, timeout : urt_delay_t) : urt_status_t
+  + {method} urtPublisherPublish (publisher : urt_publisher_t*, payload : void*, bytes : size_t, t : urt_osTime_t, timeout : urt_delay_t) : urt_status_t
 }
 
 /' Topic type. '/
@@ -209,8 +209,6 @@ $structure("urt_topic_t") {
   + {field} evtSource : urt_osEventSource_t
     'Number of HRT subscribers.
   + {field} numHrtSubscribers : unsigned int
-    'List of HRT subscribers, orderd by their expected rate (most critical first).
-  + {field} hrtSubscribers : urt_hrtsubscriber_t*
     'Condition variable to inform waiting publishers when a blocked message becomes available.
   + {field} hrtReleased : urt_osCondvar_t
     'Mandatory message, each Topic holds.
@@ -218,11 +216,15 @@ $structure("urt_topic_t") {
     'Pointer to the latest message.
   + {field} latestMessage : urt_message_t*
   .. URT_CFG_PUBSUB_QOS_RATECHECKS == true ..
+    'List of HRT subscribers, orderd by their expected rate (most critical first).
+  + {field} hrtSubscribers : urt_hrtsubscriber_t*
     'Timer to check for missed rates.
   + {field} qosRateTimer : urt_osTimer_t
   .. URT_CFG_PUBSUB_PROFILING == true ..
-    'Variable to count how many (non-hrt) subscribers did not fetch a message before it was reused.
-  + {field} numDiscardedMessages : uint64_t
+    'Number of overall published messages on this topic.
+  + {field} numMessagesPublished : uint64_t
+    'Variable to count how often (non-hrt) subscribers did not fetch a message before it was reused.
+  + {field} numMessagesDiscarded : uint64_t
     'Number of overall subscribers.
   + {field} numSubscribers : unsigned int
   __